#33 play divix files instead of divixplayer

closed
Kevin DeKorte
None
5
2014-08-29
2006-05-07
arekm
No

Ability to play divx stuff like:
http://news.gaminghorizon.com/media2/1146931135.3991.html
or other trailers on http://e3updates.com

Discussion

<< < 1 2 3 > >> (Page 2 of 3)
  • arekm
    arekm
    2006-05-14

    Logged In: YES
    user_id=139606

    about:plugins page attached.

    [arekm@tarm ~]$ ls -l /usr/lib/mozilla/plugins
    razem 0
    lrwxrwxrwx 1 root root 40 2006-04-23 12:28 flashplayer.xpt -> /usr/lib/browser
    -plugins/flashplayer.xpt
    lrwxrwxrwx 1 root root 42 2006-04-23 12:28 libflashplayer.so -> /usr/lib/
    browser-plugins/libflashplayer.so
    lrwxrwxrwx 1 root root 46 2006-05-14 15:15 mplayerplug-in-gmp.so -> /usr/
    lib/browser-plugins/mplayerplug-in-gmp.so
    lrwxrwxrwx 1 root root 47 2006-05-14 15:15 mplayerplug-in-gmp.xpt -> /usr/
    lib/browser-plugins/mplayerplug-in-gmp.xpt
    lrwxrwxrwx 1 root root 45 2006-05-14 15:15 mplayerplug-in-qt.so -> /usr/lib/
    browser-plugins/mplayerplug-in-qt.so
    lrwxrwxrwx 1 root root 46 2006-05-14 15:15 mplayerplug-in-qt.xpt -> /usr/lib/
    browser-plugins/mplayerplug-in-qt.xpt
    lrwxrwxrwx 1 root root 45 2006-05-14 15:15 mplayerplug-in-rm.so -> /usr/lib/
    browser-plugins/mplayerplug-in-rm.so
    lrwxrwxrwx 1 root root 46 2006-05-14 15:15 mplayerplug-in-rm.xpt -> /usr/lib/
    browser-plugins/mplayerplug-in-rm.xpt
    lrwxrwxrwx 1 root root 42 2006-05-14 15:15 mplayerplug-in.so -> /usr/lib/
    browser-plugins/mplayerplug-in.so
    lrwxrwxrwx 1 root root 46 2006-05-14 15:15 mplayerplug-in-wmp.so -> /usr/
    lib/browser-plugins/mplayerplug-in-wmp.so
    lrwxrwxrwx 1 root root 47 2006-05-14 15:15 mplayerplug-in-wmp.xpt -> /usr/
    lib/browser-plugins/mplayerplug-in-wmp.xpt
    lrwxrwxrwx 1 root root 43 2006-05-14 15:15 mplayerplug-in.xpt -> /usr/lib/
    browser-plugins/mplayerplug-in.xpt

    Too bad about opera and konqueror (since these do support standard
    netscape api).

     
  • arekm
    arekm
    2006-05-14

    Logged In: YES
    user_id=139606

    With this patch:

    http://cvs.pld-linux.org/cgi-bin/cvsweb/SOURCES/mplayerplug-in-divx.patch?
    rev=1.2

    under opera at least window for mplayer appears (it doesn't fully works as I
    wrote already). Under firefox still ,,this video requires the divix plugin''

     
  • Kevin DeKorte
    Kevin DeKorte
    2006-05-14

    Logged In: YES
    user_id=685413

    That patch is ALREADY in mplayerplug-in. I added it in. You
    should have had a mplayerplug-in-dvx.so and .xpt file from
    the daily. And those are not appearing in your about:plugins
    list so you didn't properly install it.

     
  • Kevin DeKorte
    Kevin DeKorte
    2006-05-14

    Logged In: YES
    user_id=685413

    Actually, the patch is similar to the one in CVS, but is
    incomplete. The current mplayerplug-in + DIVX has more
    functionality

    Also, I chose not use DivX and used DVX instead since I
    didn't want to violate the DivX trademark in my code.

     
  • arekm
    arekm
    2006-05-14

    Logged In: YES
    user_id=139606

    I'll wait for new daily tarball or anonymous cvs synchronization (it's out of date
    at this moment - plugin-setup.cpp with revision 1.119 only available) and test.

     
  • Kevin DeKorte
    Kevin DeKorte
    2006-05-14

    Logged In: YES
    user_id=685413

    Ok, I found the problem. While tracking this down, I found
    that SF CVS had dropped a patch set and it was not showing
    me that it was missing. So I had to reload the patch set for
    DivX into CVS.

    It the daily code should build with DivX support now

     
  • arekm
    arekm
    2006-05-14

    • status: open --> closed
     
  • arekm
    arekm
    2006-05-14

    Logged In: YES
    user_id=139606

    Thanks! Fresh daily works well under Firefox :-) Closing bug.

    Now I'll try to track down why it doesn't work under opera properly.

     
  • arekm
    arekm
    2006-05-14

    Logged In: YES
    user_id=139606

    Just a note: it now works with opera, too!

    The problem is that mplayerplug-in uses pthread without explictly linking with
    pthread library. Probably mozilla has already pthread functions in its
    namespace when dlopening mplayerplug-in while opera doesn't have these
    functions at that moment:

    opera: Search operapluginwrapper: [Ok] /usr/lib/opera/plugins/
    operapluginwrapper
    /usr/lib/opera/plugins/operapluginwrapper: symbol lookup error: /usr/lib/opera/
    plugins/mplayerplug-in-dvx.so: undefined symbol: pthread_create

    The fix is very simple - link explictly with pthread library:
    http://cvs.pld-linux.org/cgi-bin/cvsweb/SOURCES/mplayerplug-in-build.patch?
    rev=1.1

     
  • Kevin DeKorte
    Kevin DeKorte
    2006-05-15

    Logged In: YES
    user_id=685413

    Interesting, -pthread is actually part of the LD_FLAGS
    provided by GTHREAD on my machine. So I'm not going to apply
    this patch. But it is interesting to note.

    You might see what

    pkg-config --cflags gthread-2.0

    gives you... it gives me

    -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include

     
<< < 1 2 3 > >> (Page 2 of 3)